﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace NAntMenu.Logger
{
	public class BuildOutputModel
	{
		public BindingList<OutputMessage> Messages { get; set; }

		public BuildOutputModel()
		{
			this.Messages = new BindingList<OutputMessage>();
		}
	}

	public class OutputMessage
	{
		public NAnt.Core.Level Level { get; set; }
		public string Description { get; set; }

		public OutputMessage(NAnt.Core.Level level, string description)
		{
			this.Level = level;
			this.Description = description;
		}
	}
}
